commit cf32acc8edd9b5be054f3787b0045f67f3f807c5
Author: Arnold D. Robbins <arnold@skeeve.com>
Date:   Sun Sep 25 10:54:02 2022 +0300

    Rename test/elemnew files to be test/mdim files.

diff --git a/pc/ChangeLog b/pc/ChangeLog
index 1d193744..18edd9ee 100644
--- a/pc/ChangeLog
+++ b/pc/ChangeLog
@@ -1,3 +1,7 @@
+2022-09-25         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* Makefile.tst: Regenerated.
+
 2022-09-23         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* Makefile.tst: Regenerated.
diff --git a/pc/Makefile.tst b/pc/Makefile.tst
index e37f1841..17b03c00 100644
--- a/pc/Makefile.tst
+++ b/pc/Makefile.tst
@@ -190,8 +190,7 @@ GAWK_EXT_TESTS = \
 	binmode1 charasbytes clos1way clos1way2 clos1way3 clos1way4 \
 	clos1way5 clos1way6 colonwarn commas crlf dbugeval dbugeval2 \
 	dbugeval3 dbugeval4 dbugtypedre1 dbugtypedre2 delsub \
-	devfd devfd1 devfd2 \
-	dfacheck1 dumpvars elemnew1 elemnew2 elemnew3 elemnew4 \
+	devfd devfd1 devfd2 dfacheck1 dumpvars \
 	errno exit fieldwdth forcenum fpat1 fpat2 \
 	fpat3 fpat4 fpat5 fpat6 fpat7 fpat8 fpat9 fpatnull fsfwfs functab1 \
 	functab2 functab3 functab6 funlen fwtest fwtest2 fwtest3 fwtest4 \
@@ -202,8 +201,9 @@ GAWK_EXT_TESTS = \
 	indirectbuiltin indirectcall indirectcall2 \
 	indirectcall3 intarray iolint isarrayunset lint \
 	lintexp lintindex lintint lintlength lintold lintplus lintset \
-	lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 mdim1 mdim2 \
-	mdim3 mdim4 mixed1 mktime modifiers muldimposix nastyparm negtime \
+	lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 \
+	mdim1 mdim2 mdim3 mdim4 mdim5 mdim6 mdim7 mdim8 \
+	mixed1 mktime modifiers muldimposix nastyparm negtime \
 	next nondec nondec2 nonfatal1 nonfatal2 nonfatal3 nsawk1a nsawk1b \
 	nsawk1c nsawk2a nsawk2b nsbad nsbad2 nsbad3 nsbad_cmd nsforloop \
 	nsfuncrecurse nsidentifier nsindirect1 nsindirect2 nsprof1 nsprof2 \
@@ -2742,26 +2742,6 @@ dfacheck1:
 	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
 	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
-elemnew1:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
-elemnew2:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
-elemnew3:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
-elemnew4:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
 exit:
 	@echo $@
 	@-$(LOCALES) AWK="$(AWKPROG)" "$(srcdir)"/$@.sh  > _$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@@ -3107,6 +3087,26 @@ mdim4:
 	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
 	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
+mdim5:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+mdim6:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+mdim7:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+mdim8:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
 mktime:
 	@echo $@
 	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
diff --git a/test/ChangeLog b/test/ChangeLog
index 0e17406b..89a884b2 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,3 +1,11 @@
+2022-09-25         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* Makefile.am: Rename elemnew tests to mdim:
+	* mdim5.*: Renamed from elemnew1.*.
+	* mdim6.*: Renamed from elemnew2.*.
+	* mdim7.*: Renamed from elemnew3.*.
+	* mdim8.*: Renamed from elemnew4.*.
+
 2022-09-23         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* Makefile.am (EXTRA_DIST): New test: elemnew4.
diff --git a/test/Makefile.am b/test/Makefile.am
index dd55aa21..bece95b6 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -285,15 +285,6 @@ EXTRA_DIST = \
 	dumpvars.ok \
 	dynlj.awk \
 	dynlj.ok \
-	elemnew1.awk \
-	elemnew1.ok \
-	elemnew2.awk \
-	elemnew2.ok \
-	elemnew3.awk \
-	elemnew3.ok \
-	elemnew4.awk \
-	elemnew4.in \
-	elemnew4.ok \
 	escapebrace.awk \
 	escapebrace.in \
 	escapebrace.ok \
@@ -702,6 +693,15 @@ EXTRA_DIST = \
 	mdim4.awk \
 	mdim4.in \
 	mdim4.ok \
+	mdim5.awk \
+	mdim5.ok \
+	mdim6.awk \
+	mdim6.ok \
+	mdim7.awk \
+	mdim7.ok \
+	mdim8.awk \
+	mdim8.in \
+	mdim8.ok \
 	modifiers.sh \
 	modifiers.ok \
 	muldimposix.awk \
@@ -1492,8 +1492,7 @@ GAWK_EXT_TESTS = \
 	binmode1 charasbytes clos1way clos1way2 clos1way3 clos1way4 \
 	clos1way5 clos1way6 colonwarn commas crlf dbugeval dbugeval2 \
 	dbugeval3 dbugeval4 dbugtypedre1 dbugtypedre2 delsub \
-	devfd devfd1 devfd2 \
-	dfacheck1 dumpvars elemnew1 elemnew2 elemnew3 elemnew4 \
+	devfd devfd1 devfd2 dfacheck1 dumpvars \
 	errno exit fieldwdth forcenum fpat1 fpat2 \
 	fpat3 fpat4 fpat5 fpat6 fpat7 fpat8 fpat9 fpatnull fsfwfs functab1 \
 	functab2 functab3 functab6 funlen fwtest fwtest2 fwtest3 fwtest4 \
@@ -1504,8 +1503,9 @@ GAWK_EXT_TESTS = \
 	indirectbuiltin indirectcall indirectcall2 \
 	indirectcall3 intarray iolint isarrayunset lint \
 	lintexp lintindex lintint lintlength lintold lintplus lintset \
-	lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 mdim1 mdim2 \
-	mdim3 mdim4 mixed1 mktime modifiers muldimposix nastyparm negtime \
+	lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 \
+	mdim1 mdim2 mdim3 mdim4 mdim5 mdim6 mdim7 mdim8 \
+	mixed1 mktime modifiers muldimposix nastyparm negtime \
 	next nondec nondec2 nonfatal1 nonfatal2 nonfatal3 nsawk1a nsawk1b \
 	nsawk1c nsawk2a nsawk2b nsbad nsbad2 nsbad3 nsbad_cmd nsforloop \
 	nsfuncrecurse nsidentifier nsindirect1 nsindirect2 nsprof1 nsprof2 \
diff --git a/test/Maketests b/test/Maketests
index 31eb89f1..43672fa7 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1437,26 +1437,6 @@ dfacheck1:
 	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
 	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
-elemnew1:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
-elemnew2:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
-elemnew3:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
-elemnew4:
-	@echo $@
-	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
-	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
 exit:
 	@echo $@
 	@-$(LOCALES) AWK="$(AWKPROG)" "$(srcdir)"/$@.sh  > _$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@@ -1800,6 +1780,26 @@ mdim4:
 	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
 	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
+mdim5:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+mdim6:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+mdim7:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+mdim8:
+	@echo $@
+	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+	@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
 mktime:
 	@echo $@
 	@-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
diff --git a/test/mdim6.ok b/test/mdim6.ok
new file mode 100644
index 00000000..fc9990f0
--- /dev/null
+++ b/test/mdim6.ok
@@ -0,0 +1,2 @@
+gawk: mdim6.awk:5: fatal: attempt to use array `a["0"]' in a scalar context
+EXIT CODE: 2
